using System;
using System.Collections.Generic;

namespace prijatelji_2
{
	class Program
	{
		static int prioritet(int a, int b)
		{
			if (Math.Abs(a) > Math.Abs(b))
			{
				return a;
			}
			else return b;
		}
		static bool pozitivan(int n)
		{
			if (n < 0)
			{
				return false;
			}
			else
			{
				return true;
			}
		}
		static void Main(string[] args)
		{
			string[] input = Console.ReadLine().Split();
			int n, m;
			n = int.Parse(input[0]);
			m = int.Parse(input[1]);
			
			List<int> druzeljubivosti = new List<int>();
			List<int> prijatelji = new List<int>();
			for (int i = 0; i < n; i++)
			{
				prijatelji.Add(0);
			}
			
			int druzeljubivost;
			int[] par = new int[2];
			for (int i = 0; i < n; i++)
			{
				druzeljubivost = int.Parse(Console.ReadLine());
				druzeljubivosti.Add(druzeljubivost);
			}
			for (int i = 0; i < m; i++)
			{
				input = Console.ReadLine().Split();
				par[0] = int.Parse(input[0]);
				par[1] = int.Parse(input[1]);
				if (pozitivan(prioritet(druzeljubivosti[par[0] - 1],druzeljubivosti[par[1] - 1])))
				{
					prijatelji[par[0] - 1]++;
					prijatelji[par[1] - 1]++;
				}
				else
				{
					prijatelji[par[0] - 1]--;
					prijatelji[par[1] - 1]--;
				}
			}
			int output = 0;
			for(int i = 0; i < n; i++)
			{
				output += prijatelji[i] * druzeljubivosti[i];
			}
			Console.WriteLine(output);
		}
	}
}